Bug 399261 - report's chart mess with data if there are too many data
Summary: report's chart mess with data if there are too many data
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: reports (show other bugs)
Version: 5.0.0
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-30 22:55 UTC by Octopuss
Modified: 2020-06-05 04:06 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments
values of the graph are overlapped (238.58 KB, image/png)
2018-09-30 22:55 UTC, Octopuss
Details
Sample chart after fix (84.46 KB, image/png)
2020-05-26 12:45 UTC, Robert Szczesiak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Octopuss 2018-09-30 22:55:22 UTC
Created attachment 115335 [details]
values of the graph are overlapped

SUMMARY
In case that a report contain too many data, the report field becomes a mess. some values should be ommited in this case

STEPS TO REPRODUCE
1. get a lot of opereration for a long period of time
2. try to create a report for the long period of time
3. check that report's setting "report configuration - chart - draw values on chart" is on
4. open the report in chart mode

OBSERVED RESULT
the values of the report overlap each other and nothing could be made out

EXPECTED RESULT
some values should be ommited. the ommited values should be showed on mouseover

SOFTWARE VERSIONS
(available in About System)
KDE Plasma Version: 5.12.6
KDE Frameworks Version: 5.45.0
Qt Version: 5.9.4

ADDITIONAL INFORMATION
Package info:
Repository     : openSUSE-Leap-15.0-Update
Name           : kmymoney
Version        : 5.0.1-lp150.2.3.1
Arch           : x86_64
Vendor         : openSUSE
Status         : up-to-date
Source package : kmymoney-5.0.1-lp150.2.3.1.src
Comment 1 Robert Szczesiak 2020-05-26 12:45:57 UTC
Created attachment 128802 [details]
Sample chart after fix

There is a simple solution I have presented in my merge request: https://invent.kde.org/office/kmymoney/-/merge_requests/10

Please find attached a sample chart after the fix.
Comment 2 Robert Szczesiak 2020-05-29 00:19:01 UTC
Git commit 3bf120d2b2ae461c02d20e7f84b1f87a680f61dd by Robert Szczesiak.
Committed on 26/05/2020 at 12:37.
Pushed by wrobelda into branch 'master'.

Fix report's chart cluttered with overlapping data labels

When there was too many data labels on a report's chart, some texts were
overlapping resulting in cluttered and unreadable graph.

This commit fixes the issue so that in regions crowded with labels only
one data label text is displayed.
Signed-off-by: Robert Szczesiak <dev.rszczesiak@gmail.com>

M  +1    -1    kmymoney/plugins/views/reports/core/kreportchartview.cpp

https://invent.kde.org/office/kmymoney/commit/3bf120d2b2ae461c02d20e7f84b1f87a680f61dd
Comment 3 Dawid Wróbel 2020-05-29 00:19:59 UTC
Git commit 9870e864fbd713b3c75f24fe461dca1b17ea2d5c by Dawid Wrobel, on behalf of Robert Szczesiak.
Committed on 29/05/2020 at 00:19.
Pushed by wrobelda into branch '5.0'.

Fix report's chart cluttered with overlapping data labels

When there was too many data labels on a report's chart, some texts were
overlapping resulting in cluttered and unreadable graph.

This commit fixes the issue so that in regions crowded with labels only
one data label text is displayed.
Signed-off-by: Robert Szczesiak <dev.rszczesiak@gmail.com>


(cherry picked from commit 3bf120d2b2ae461c02d20e7f84b1f87a680f61dd)

M  +1    -1    kmymoney/plugins/views/reports/core/kreportchartview.cpp

https://invent.kde.org/office/kmymoney/commit/9870e864fbd713b3c75f24fe461dca1b17ea2d5c